Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-24-08, 02:11 PM   #1
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default 177.68: 6600GT not supported?!

Gave 177.68 a try on my Fedora 9 X86_64 box. Got this in Xorg.log

(EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
(EE) NVIDIA(0): that there is a supported NVIDIA GPU in this system, and
(EE) NVIDIA(0): that the NVIDIA device files have been created properly.
(EE) NVIDIA(0): Please consult the NVIDIA README for details.
(EE) NVIDIA(0): *** Aborting ***
(II) UnloadModule: "nvidia"
(II) UnloadModule: "wfb"
(II) UnloadModule: "fb"
(EE) Screen(s) found, but none have a usable configuration.

The card as reported by lspci

09:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600 GT] (rev a2)

Previous version is utterly unstable, but do recognize the card. 6600GT is on the list of supported cards. Confused.
leamas is offline   Reply With Quote
Old 08-24-08, 02:30 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 177.68: 6600GT not supported?!

Please see http://www.nvnews.net/vbulletin/showthread.php?t=46678.
zander is offline   Reply With Quote
Old 08-25-08, 05:43 AM   #3
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default Re: 177.68: 6600GT not supported?!

Enclosing compressed nvidia-bug-report output. Sorry, I really knew this, but
forgot.
Attached Files
File Type: gz nvidia-bug-report.log.gz (36.2 KB, 105 views)
leamas is offline   Reply With Quote
Old 08-25-08, 06:55 AM   #4
Dragoran
Registered User
 
Join Date: May 2004
Posts: 711
Default Re: 177.68: 6600GT not supported?!

generate a bug report while you are running the nvidia not nv driver.
Dragoran is offline   Reply With Quote
Old 08-25-08, 01:31 PM   #5
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default Re: 177.68: 6600GT not supported?!

Not my day, it seems...

New compressed nvidia-bug-report.log enclosed. This is after installing the driver and a reboot. According to the specific Fedora-9 instructions, I have stripped the XF86config file to just the "Device" section (same result if leaving this file as-is).

The GUI is never started, the text console is blinking. Shifting to another virtual console makes it possible to create the bug report.
Attached Files
File Type: gz nvidia-bug-report.log.gz (30.5 KB, 95 views)
leamas is offline   Reply With Quote
Old 08-25-08, 02:02 PM   #6
mooninite
Registered User
 
Join Date: May 2006
Posts: 477
Default Re: 177.68: 6600GT not supported?!

What is "previous version?" 173.xx?

My initial thought on your problem though is that your video BIOS looks corrupt. The nVidia driver cannot read the version number. Have you looked for a video BIOS update?

In any case, I recommend you uninstall the nVidia driver script using the nvidia-uninstall script and then do the following:

Code:
# rpm -ihv http://ftp.freshrpms.net/pub/freshrpms/fedora/linux/9/freshrpms-release/freshrpms-release-1.1-1.fc.noarch.rpm
# yum install nvidia-x11-drv nvidia-x11-drv-32bit
# reboot
Yes, this is only 173.14.12, but this version should work fine for your 6600GT. You will not get any benefit from using the 177.xx beta driver on your old card.
mooninite is offline   Reply With Quote
Old 08-25-08, 02:26 PM   #7
devsk
Registered User
 
Join Date: Jun 2006
Posts: 46
Default Re: 177.68: 6600GT not supported?!

Quote:
Originally Posted by mooninite View Post
You will not get any benefit from using the 177.xx beta driver on your old card.
what about the performance improvements with KDE?
devsk is offline   Reply With Quote
Old 08-25-08, 02:47 PM   #8
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default Re: 177.68: 6600GT not supported?!

Doesn't work, unstable, see http://www.nvnews.net/vbulletin/showthread.php?t=114492.

Effectively, my card ceased to work sometime when upgrading FC-8. After this point, I've never been able to use 3D. So I'm just trying to see if this one might work, according to the README some stability bugs should be fixed...
leamas is offline   Reply With Quote

Old 08-25-08, 04:15 PM   #9
mooninite
Registered User
 
Join Date: May 2006
Posts: 477
Default Re: 177.68: 6600GT not supported?!

Quote:
Originally Posted by devsk View Post
what about the performance improvements with KDE?
7 series cards and lower have 2D engines. 8 series and higher do not. Sure, the 7 series received a few RENDER enhancements, but 4.1 ran just fine at least for me on my FX and 7 series cards. He will not benefit greatly from it.

leamas, please read posts in their entirety. Did you even look for a video BIOS update? There is a slim chance that your hardware is dying, even if it works under the "nv" driver.

As for "stability" fixes, I have FX series, 6 series, and 7 series cards and they all work flawlessly under Fedora 9 with 173.xx. I have not even tried the 177.xx driver yet, because I have no need to. I highly doubt 177.xx is of any use to you. Stick with the stable releases until you have substantial proof.

edit: Please try the Freshrpms.net packages. Livna use kmods, which are not the right way to do things.
mooninite is offline   Reply With Quote
Old 08-26-08, 12:33 AM   #10
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default Re: 177.68: 6600GT not supported?!

I read the posts entirely, for sure. As you can see in the thread I mentioned I have done several BIOS updates over time trying to get this card to work :-). But I'll make a new try with the latest update, ASUS publishes them quite often.

I'll definitely try the freshrpms packages, thanks for the tip, wasn't aware of them.

What do you mean by "dying" - that my card is physically degrading, or that it's just to old to be supported properly? From my point of view, the only thing I know is that this card creates really nasty kernel crashes with the 173 nvidia driver, is stable (although without any 3D acceleration) with the nv driver., and does not seem to identified (?) by the new 178 driver.

I know that other folks have working routines for this card. But I hav'nt, not since somewhere in the FC-8 upgrade path.

I'm also aware that it might be that simple that this card is not supported. But according to the docs, it should be (?).
leamas is offline   Reply With Quote
Old 08-26-08, 01:00 AM   #11
mooninite
Registered User
 
Join Date: May 2006
Posts: 477
Default Re: 177.68: 6600GT not supported?!

Quote:
Originally Posted by leamas View Post
I read the posts entirely, for sure. As you can see in the thread I mentioned I have done several BIOS updates over time trying to get this card to work :-). But I'll make a new try with the latest update, ASUS publishes them quite often.
I meant video BIOS, not motherboard BIOS. There is a small BIOS on your Geforce 6600GT card. Your bug log that you attached shows that the nVidia driver cannot read the version of the video BIOS, which I find strange as it should report a number.

Yes, I meant physical degradation. I've had several 7 series cards die on me in odd ways. Even brand new ones. I never overclock cards either.
mooninite is offline   Reply With Quote
Old 08-28-08, 06:30 AM   #12
leamas
Registered User
 
Join Date: Dec 2007
Location: Sweden
Posts: 17
Default Re: 177.68: 6600GT not supported?!

Flashed the video bios, and used the freshrpm 173.* driver. Same result,nasty kernel crash when e. g., invoking glxgears.

Seems to be a hw failure. Time to buy a new card.
leamas is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenCL 1.2 supported in AMD OpenCL APP SDK 2.7 and Catalyst 12.4 drivers News Archived News Items 0 05-30-12 09:30 AM
AGP Fast write and SiS 735 not supported ? Chojin NVIDIA Linux 9 10-11-02 06:52 PM
Athlon XP is supported...with probs DoinkyBottoms CPUs, Motherboards And Memory 5 09-23-02 09:27 PM
"Fast Writes" not supported ??? Klaus-P NVIDIA Linux 2 08-29-02 01:46 PM
Pixel shader version 1.4 supported? JohnsonLKD NVIDIA GeForce 7, 8, And 9 Series 19 08-20-02 04:04 AM

All times are GMT -5. The time now is 10:36 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.